 package com.huatek.busi.service.threshold;

 import com.huatek.busi.dto.InfraredThresholdDto;
 import com.huatek.busi.dto.WindingThresholdDto;
 import com.huatek.busi.vo.InfraredThresholdVo;
 import com.huatek.busi.vo.WindingThresholdVo;

 import java.util.List;

 /**
   * 绕组测温阈值
   * @author buck_guo
   * @date 2019/08/09
   */
  public interface WindingThresholdService {
     WindingThresholdVo queryWindingThreshold(String sensorCode,String workStatus);

      List<WindingThresholdVo> queryWindingThresholdBySensorCode(String sensorCode);

      /**
       *
       * @param WindingThresholdDto
       * @return
       */
      int insertOrUpdate(String token, WindingThresholdDto[] WindingThresholdDto);

      /**
       * 新增sensor时增加16个空阈值对象
       * @param sensorCode
       * @param type
       * @return
       */
      int addSensorInsertWinding(String token,String sensorCode,String type);

      /**
       * 删除绕组测温sensor阈值
       */
      int  deleteSensorInsertWinding(String sensorCode);

      /**
       * 编辑绕组测温sensor阈值
       */
      int  updateSensorInsertWinding(String oldSensorCode,String newSensorCode);
 }
